summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Tom Fitzhenry <tom@fitzhenry.name>2010-05-11 20:02:06 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:06 +0200
commitb0998ac787125b6d74033ea984116c02e9e89162 (patch)
tree1b1d808e9e95046231a4c066e8064a5cc63c6ee5
parent28e07c5b7ec1d76d3a6183a26644f4f43511b864 (diff)
downloadslackbuilds-b0998ac787125b6d74033ea984116c02e9e89162.tar.gz
slackbuilds-b0998ac787125b6d74033ea984116c02e9e89162.tar.xz
system/pwsafe: Added to 12.0 repository
-rw-r--r--system/pwsafe/README3
-rw-r--r--system/pwsafe/pwsafe.SlackBuild75
-rw-r--r--system/pwsafe/pwsafe.info8
-rw-r--r--system/pwsafe/slack-desc12
4 files changed, 98 insertions, 0 deletions
diff --git a/system/pwsafe/README b/system/pwsafe/README
new file mode 100644
index 0000000000..4ca9f59485
--- /dev/null
+++ b/system/pwsafe/README
@@ -0,0 +1,3 @@
+pwsafe is a unix commandline program that manages encrypted password databases.
+It can be used as a pure command-line operation or can interact with X11
+selection & clipboard. It is compatible with CounterPane's PasswordSafe.
diff --git a/system/pwsafe/pwsafe.SlackBuild b/system/pwsafe/pwsafe.SlackBuild
new file mode 100644
index 0000000000..d0961e02a9
--- /dev/null
+++ b/system/pwsafe/pwsafe.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for pwsafe
+# Written by Tom Fitzhenry <tom@fitzhenry.name> 2007/08/22
+# Modified by Robby Workman 20071025
+
+APP=pwsafe
+VERSION=0.2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$APP
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$APP-$VERSION
+cd $TMP
+tar xvf $CWD/$APP-$VERSION.tar.gz
+cd $APP-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$APP-$VERSION
+cp -a $DOCS $PKG/usr/doc/$APP-$VERSION
+cat $CWD/$APP.SlackBuild > $PKG/usr/doc/$APP-$VERSION/$APP-SlackBuild
+find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs
+ strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs
+ strip --strip-unneeded 2> /dev/null
+ )
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz; rm $i; done
+ )
+fi
+
+if [ -d $PKG/usr/info ]; then
+ rm -f $PKG/usr/info/dir
+ gzip -9 $PKG/usr/info/*.info*
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/pwsafe/pwsafe.info b/system/pwsafe/pwsafe.info
new file mode 100644
index 0000000000..8c1fe7b8a9
--- /dev/null
+++ b/system/pwsafe/pwsafe.info
@@ -0,0 +1,8 @@
+PRGNAM="pwsafe"
+VERSION="0.2.0"
+HOMEPAGE="http://nsd.dyndns.org/pwsafe/"
+DOWNLOAD="http://nsd.dyndns.org/pwsafe/releases/pwsafe-0.2.0.tar.gz"
+MD5SUM="4bb36538a2772ecbf1a542bc7d4746c0"
+MAINTAINER="Tom Fitzhenry"
+EMAIL="tom@fitzhenry.name"
+APPROVED="rworkman"
diff --git a/system/pwsafe/slack-desc b/system/pwsafe/slack-desc
new file mode 100644
index 0000000000..6a658dee93
--- /dev/null
+++ b/system/pwsafe/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler-----------------------------------------------------|
+pwsafe: pwsafe (a command-line based password manager)
+pwsafe:
+pwsafe: pwsafe is a unix commandline program that manages
+pwsafe: encrypted password databases.
+pwsafe:
+pwsafe: Homepage: http://nsd.dyndns.org/pwsafe/
+pwsafe:
+pwsafe:
+pwsafe:
+pwsafe:
+pwsafe: